This is TestAudit.info, produced by Macaulay2, version 1.26.06

TestAudit -- test audit functionality
*************************************

Description
===========

The TestAudit package provides a small report about the tests of a package. The
report lists the number and location of tests, classifies how tests are
organized, and gives simple textual checks for exported functions, options,
silenced tests, and FIXME or TODO comments.

Authors
=======

  * Taylor Brysiewicz (see https://sites.google.com/view/taylorbrysiewicz/home
    ) <tbrysiew@uwo.ca>
  * Ashley Dean <amd069@uark.edu>
  * Connor Haynes
  * David K. Johnson (see https://sites.google.com/view/davidkjohnson )
    <djohn225@uwo.ca>
  * Guanyu Li (see https://sites.google.com/view/guanyu-li-math/home )
    <gl479@cornell.edu>
  * Keller VandeBogert (see https://sites.google.com/view/kellervandebogert/
    home ) <keller.v@uky.edu>

Version
=======

This documentation describes version 0.1 of TestAudit, released May 19, 2026.

Citation
========

If you have used this package in your research, please cite it as follows:

+-----------------------------------------------------------------------------+
|@misc{TestAuditSource,                                                       |
|  title = {{TestAudit: test audit functionality. Version~0.1}},              |
|  author = {Taylor Brysiewicz and Ashley Dean and Connor Haynes and David K. |
|  howpublished = {A \emph{Macaulay2} package available at                    |
|    \url{https://github.com/Macaulay2/M2/tree/stable/M2/Macaulay2/packages}} |
|}                                                                            |
|-----------------------------------------------------------------------------|
|Johnson and Guanyu Li and Keller VandeBogert},                               |
+-----------------------------------------------------------------------------+

Exports
=======

  * Functions and commands
      * testAudit -- produce a test audit report for a
        package
      * testScore -- compute the heuristic test score for a
        package
  * Methods
      * "testAudit(Package)" -- see testAudit -- produce a
        test audit report for a package
      * "testAudit(String)" -- see testAudit -- produce a
        test audit report for a package
      * "testScore(Package)" -- see testScore -- compute the
        heuristic test score for a package
      * "testScore(String)" -- see testScore -- compute the
        heuristic test score for a package
  * Symbols
      * Experimental (missing documentation)
      * "CommentReport" -- see testAudit -- produce a test
        audit report for a package
      * "ScoreReport" -- see testAudit -- produce a test
        audit report for a package
      * "SpeedReport" -- see testAudit -- produce a test
        audit report for a package

For the programmer
==================

The object TestAudit is a package (Macaulay2Doc),
defined in TestAudit.m2.

-------------------------------------------------------------------------------

The source of this document is in TestAudit.m2:553:0.

Experimental
************

Functions with optional argument named Experimental:
====================================================

  * testAudit(...,Experimental=>...) (missing documentation)

For the programmer
==================

The object Experimental (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:375.

testAudit -- produce a test audit report for a package
******************************************************

  * Usage:
        testAudit pkg
        testAudit(pkg, CommentReport => true, SpeedReport => true, ScoreReport => true)
  * Inputs:
      * pkg, a package (Macaulay2Doc) or a string (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc):
      * CommentReport => a Boolean value (Macaulay2Doc), default
        value false
      * SpeedReport => a Boolean value (Macaulay2Doc), default
        value false
      * ScoreReport => a Boolean value (Macaulay2Doc), default
        value false
      * Experimental (missing documentation) => ..., default value false,
  * Outputs:
      * a string (Macaulay2Doc), the audit report

Description
===========

Returns a string report about the tests of pkg. The default report summarizes
test sources, test organization, untested exported functions and options,
silenced tests, and FIXME or TODO markers around test blocks.

Optional Boolean arguments add sections: CommentReport includes comments
attached to tests, SpeedReport times tests with check (Macaulay2Doc),
and ScoreReport includes the heuristic score returned by
testScore.

+-------------------------------------------------------------+
|i1 : testAudit "TestAudit"                                   |
|                                                             |
|o1 = exported: 2 functions, 0 types, 4 other symbols         |
|     n_tests: 5                                              |
|     style: together                                         |
|                                                             |
|     test sources:                                           |
|         - ../../../../../Macaulay2/packages/TestAudit.m2:614|
|                                                             |
|     Report:                                                 |
|                                                             |
|     - untested functions (0):                               |
|         none                                                |
|                                                             |
|     - untested options (1):                                 |
|         - testAudit: Experimental                           |
|                                                             |
|     - silenced tests (0):                                   |
|         none                                                |
|                                                             |
|     - FIXME/TODO markers (0):                               |
|         none                                                |
+-------------------------------------------------------------+

See also
========

  * testAudit -- produce a test audit report for a package

Ways to use testAudit:
======================

  * "testAudit(Package)"
  * "testAudit(String)"

For the programmer
==================

The object testAudit is a method function with options (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in TestAudit.m2:588:0.

testScore -- compute the heuristic test score for a package
***********************************************************

  * Usage:
        testScore pkg
  * Inputs:
      * pkg, a package (Macaulay2Doc) or a string (Macaulay2Doc),
  * Outputs:
      * a real number (Macaulay2Doc), the heuristic test score

Description
===========

This function returns only the numerical score that appears in the ScoreReport
section of testAudit. The score is out of 100.

+--------------------------+
|i1 : testScore "TestAudit"|
|                          |
|o1 = 84                   |
|                          |
|o1 : RR (of precision 53) |
+--------------------------+

See also
========

  * testAudit -- produce a test audit report for a package

Ways to use testScore:
======================

  * "testScore(Package)"
  * "testScore(String)"

For the programmer
==================

The object testScore is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in TestAudit.m2:612:0.